Bug 138121 - include vc-svn.el -- Subversion backend for RC in Emacs
include vc-svn.el -- Subversion backend for RC in Emacs
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Coldwell
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-11-04 14:48 EST by Darren Brierton
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-05 16:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
vc-svn.el that works with emacs 21.4, from subversion (18.08 KB, text/x-emacs-lisp)
2006-10-30 11:38 EST, John Thacker
no flags Details

  None (edit)
Description Darren Brierton 2004-11-04 14:48:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041026 Firefox/1.0RC1

Description of problem:
Emacs CVS includes a rc-svn.el which is a backend plugin for
Subversion for Emacs RC functionality (i.e. its ability to work
directly with Revision Control systems).

I believe that RC-SVN, and RC-* in general, provide complementary not
alternative functionality to PCL-SVN (provided by psvn.el which is
currently supplied by the subversion package) and to PCL-* in general.

The situation is complicated by the fact that the currently released
Emacs is so very far behind Emacs CVS, and the Emacs CVS seems to be
the authoritative location for rc-svn.el. It may be that rc-svn.el in
Emacs CVS also requires the Emacs CVS version of RC in general, which
may in turn depend on other things. I think you'd have to ask the
emacs-devel list to find out. Of course the whole thing would be much
simpler if the Emacs developers would actually release a new version,
but I am beginning to despair of that ever happening.

Version-Release number of selected component (if applicable):
Comment 1 Darren Brierton 2004-11-04 17:31:09 EST
Sorry, there is a repeated typo in the above description (I've fixed
the summary):

All references to rc-svn.el, RC-SVN, RC-* and RC should in fact be to
vc-svn.el, VC-SVN, VC-* and VC.
Comment 2 Jens Petersen 2004-11-07 19:57:24 EST
There's also a vc-svn.el in subversion's "contrib/".
However diff suggests they're quite far apart...

Have you had a chance to try either with emacs-21.3?
Comment 3 Darren Brierton 2004-11-07 22:57:07 EST
I haven't had a chance to try either vc-svn.el yet, but in about a
week or ten days I begin contracting for a company who use subversion
exclusively, and as Emacs is my development environment I'll need to
get something working. I'll report back when I have some results.
Comment 4 Jens Petersen 2004-11-09 01:28:56 EST
Re-assigning to subversion since it already has vc-svn.el
in its source tarball.
Comment 5 Max Bowsher 2005-03-11 09:18:41 EST
Please re-assign back to "emacs", since the vc-svn.el within the subversion
source tree has been replaced with the following content:

;; This file no longer lives here, it lives in FSF Emacs.
  is the new canonical location of vc-svn.el, in the FSF Emacs tree.")
Comment 6 Joe Orton 2005-03-11 10:04:59 EST
Jens would you be willing to include the vc-svn.el script in emacs?
Comment 7 Jens Petersen 2005-11-06 05:08:28 EST
Reassigning back to emacs.
Comment 8 Jens Petersen 2005-11-21 21:00:57 EST
So how well does the cvs version of vc-svn work with emacs 21?
Comment 9 Darren Brierton 2005-11-21 22:01:07 EST
(In reply to comment #8)
> So how well does the cvs version of vc-svn work with emacs 21?

Jens, I'm using your yum-repository versions of emacs-22.0.50-0.20050630.fc4 and
so far vc-svn is working fine. That said, I don't think I'm exactly pushing it
to its limits (for anything fancy I use the command line and then refresh the
buffer). I would be more adventurous if the emacs interface to VC in general was
better, but when the code I'm working on belongs to people who pay me to live
I'm a bit conservative. :-)

Comment 10 Jens Petersen 2005-11-21 22:51:20 EST
vc-svn.el from current cvs assumes defalias takes an optional docstring arg.

If someone can point me to an older version that works with emacs-21.4
I'm happy to include it.
Comment 11 Darren Brierton 2005-12-20 02:48:59 EST
This just got changed to NEEDINFO_REPORTER. I'm the reporter, but I'm not sure
what further info you need from me, beyond comment #9. If you give me something
specific to test I'll do it (although I'm using Jens' CVS versions of Emacs not
the one distributed with FC4).
Comment 12 Jens Petersen 2006-02-02 23:25:54 EST
Well it was referring to comment 10.
Comment 13 John Thacker 2006-10-30 11:20:14 EST
The only older version that works with emacs-21.4 is contained in an older
version of subversion.

Debian apparently just decided to be resigned to vc-svn.el not working with
emacs 21.x anymore:

However, the second bug also includes a comment noting that reverting the copy
of vc-svn.el from subversion-1.1.4 works with emacs-21.4.  So that's one answer
to comment 10.
Comment 14 John Thacker 2006-10-30 11:35:47 EST
See http://www.emacswiki.org/cgi-bin/wiki/SubVersion
for more details.  Apparently the old version of vc-svn.el was added back to
subversion (with a warning about FSF being the canonical home now) since
emacs-21.4 is still the stable release.

Comment 15 John Thacker 2006-10-30 11:38:12 EST
Created attachment 139729 [details]
vc-svn.el that works with emacs 21.4, from subversion
Comment 16 Jens Petersen 2006-10-30 19:03:30 EST
Is it better to include it in the subversion package then
until emacs 22 is available? :)
Comment 17 dann 2007-02-27 00:21:32 EST
vc-svn.el is in emacs-22 which is in rawhide now...
Comment 18 Laurent Rineau 2007-03-21 12:10:33 EDT
This bug should be closed. Or its version move from "devel" to "fc6".

Personally, I would appreciate this bug be fixed in fc5 and fc6.
Comment 19 Chip Coldwell 2007-04-05 16:20:32 EDT
(In reply to comment #18)
> This bug should be closed. Or its version move from "devel" to "fc6".
> Personally, I would appreciate this bug be fixed in fc5 and fc6.

There are emacs-22 packages (that include vc-svn.el) for fc5 and fc6 at



Note You need to log in before you can comment on or make changes to this bug.